require "http_defender/version"

module HttpDefender
  module Deflect
    extend ActiveSupport::Concern
    BLOCKED_HTTP_ENVS = %w(torrent proxyunlocked)
    included do
      before_action :deflect_domains
    end

    def deflect_domains
      BLOCKED_HTTP_ENVS.each do |bhe|
        next unless request.env['HTTP_HOST'].include?(bhe)
        head :no_content
      end
    end
  end
end
